public static List <PVStationElevationLabel> GetProfileViewElevationLabels(Autodesk.AutoCAD.DynamoNodes.Document document)
        {
            List <PVStationElevationLabel> retLabels = new List <PVStationElevationLabel>();

            foreach (DBObject dbObj in GetLabelStylesAsDBObjects(document, CivilDocument.GetCivilDocument(document.AcDocument.Database).Styles.LabelStyles.ProfileViewLabelStyles.StationElevationLabelStyles))
            {
                PVStationElevationLabel labelObject = new PVStationElevationLabel(dbObj, false);
                retLabels.Add(labelObject);
            }
            return(retLabels);
        }
        public static PVStationElevationLabel ByName(Autodesk.AutoCAD.DynamoNodes.Document document, string labelStyleName)
        {
            PVStationElevationLabel retLabel = new PVStationElevationLabel(DBObjectByName(document, CivilDocument.GetCivilDocument(document.AcDocument.Database).Styles.LabelStyles.ProfileViewLabelStyles.StationElevationLabelStyles, labelStyleName), false);

            return(retLabel);
        }
        public static PVStationElevationLabel ByIndex(Autodesk.AutoCAD.DynamoNodes.Document document, int index)
        {
            PVStationElevationLabel retLabel = new PVStationElevationLabel(DBObjectByIndex(document, CivilDocument.GetCivilDocument(document.AcDocument.Database).Styles.LabelStyles.ProfileViewLabelStyles.StationElevationLabelStyles, index), false);

            return(retLabel);
        }